<?php
require_once ('include/header.php');
require_once ('include/menu.php');
require_once ("include/connect.php");
require_once ("include/connexion.php");
require_once ("include/query.php");

$conn = Connexion (NOM, PASSE, BASE, SERVEUR);

if (isset($_GET['order']))
{
	$order = $_GET['order'];
}
else
{
	$order = "num";
}

switch ($order)
{
	case 'tit':
		$orderby = "proj_titre_abr";
		break;
	case 'num':
		$orderby = "proj_num";
		break;
	default:
		$orderby = "proj_num";
		break;
}
?>

<div class="content">

<?php
require_once ("include/checklevel.php");
?>

	<p>
		<a href="add_projet.php"><?php echo TXT_PROJET_NOUVEAU_PROJET; ?></a><br />
<?php
if ($_SESSION['conf_domaines'])
{
?>
		<a href="match_projet_domaine.php"><?php echo TXT_MULTICAT_DOMAINES_DES_PROJETS; ?></a>
<?php
}
?>
	</p>
	
<?php
$sql = "SELECT * FROM projets ORDER BY $orderby;";
$req = Requete ($sql,$conn);

if (NombreLignes($req) > 0)
{
?>
	
	<table border="0" align="center" cellpadding="3" cellspacing="0">
		<tr>
			<th><a href="projets.php?order=num" title="Trier par num&eacute;ros"><?php echo TXT_PROJETS_NUMERO; ?></a></th>
			<th><a href="projets.php?order=tit" title="Trier par noms"><?php echo TXT_PROJET_PROJET; ?></a></th>
			<th><?php echo TXT_PROJETS_ACTIONS; ?></th>
		</tr>
		
<?php
	$count = 0;
	while ($rs = ObjetSuivant($req))
	{
		$count += 1;
		if ($count % 2 > 0)
		{
			$class = "data1";
		}
		else
		{
			$class = "data2";
		}
		echo "<tr class=\"".$class."\">\n";
		echo "<td>".$rs->proj_num."</td>\n";
		echo "<td><a href=\"proj_detail.php?id=".$rs->proj_id."\">".$rs->proj_titre_abr."</a></td>\n";
		echo "<td class=\"cellright\">";
		echo "<a href=\"mod_projet.php?id=".$rs->proj_id."\"><img src=\"images/b_edit.gif\" border=\"0\" alt=\"".TXT_PROJETS_MODIFIER."\" title=\"".TXT_PROJETS_MODIFIER."\"></a>&nbsp;";
		echo "<a href=\"delete.php?mode=projet&id=".$rs->proj_id."\"><img src=\"images/b_drop.gif\" border=\"0\" alt=\"".TXT_PROJETS_SUPPRIMER."\" title=\"".TXT_PROJETS_SUPPRIMER."\"></a>";
		echo "</td>\n";
		echo "</tr>\n";
	}
	echo "</table>\n";
}
else
{
	echo "<p>".TXT_PROJET_AUCUN_PROJET_POUR_LE_MOMENT."</p>\n";
}
?>

<br />

</div>

<?php
require_once ('include/footer.php');
?>